Bug 1855448 - [CodeChange]mgr: Improve internal python to c++ interface
Summary: [CodeChange]mgr: Improve internal python to c++ interface
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Mgr Plugins
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2
Assignee: David Zafman
QA Contact: Madhavi Kasturi
Ranjini M N
URL:
Whiteboard:
Depends On:
Blocks: 1890121
TreeView+ depends on / blocked
 
Reported: 2020-07-09 21:29 UTC by Neha Ojha
Modified: 2021-06-09 16:16 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.11-1.el8cp, ceph-14.2.11-1.el7cp
Doc Type: Enhancement
Doc Text:
.Internal python to C++ interface is modified to improve Ceph manager performance Previously, `pg_dump` provided all the information thereby affecting the performance of Ceph manager. With this release, the internal python to C++ interface is modified and the modules provide information on `pg_ready`, `pg_stats`, `pool_stats`, and ‘osd_ping_times`.
Clone Of:
Environment:
Last Closed: 2021-01-12 14:56:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph pull 34356 0 None closed nautilus: mgr: Improve internal python to c++ interface 2021-01-12 07:09:41 UTC
Red Hat Product Errata RHSA-2021:0081 0 None None None 2021-01-12 14:56:35 UTC

Description Neha Ojha 2020-07-09 21:29:36 UTC
Backport improvements made to the python to c++ interface for various mgr modules.

Comment 5 James626217 2020-10-31 03:52:54 UTC Comment hidden (spam)
Comment 6 James626217 2020-10-31 10:49:52 UTC Comment hidden (spam)
Comment 12 errata-xmlrpc 2021-01-12 14:56:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage 4.2 Security and Bug Fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0081


Note You need to log in before you can comment on or make changes to this bug.